"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
const authorizations_1 = require("../../lib/authorizations");
class AuthorizationsInfo extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(AuthorizationsInfo);
        const { body: authentication } = await this.heroku.get(`/oauth/authorizations/${args.id}`);
        if (flags.json) {
            cli_ux_1.cli.styledJSON(authentication);
        }
        else {
            authorizations_1.display(authentication);
        }
    }
}
exports.default = AuthorizationsInfo;
AuthorizationsInfo.description = 'show an existing OAuth authorization';
AuthorizationsInfo.flags = {
    json: command_1.flags.boolean({ char: 'j', description: 'output in json format' }),
};
AuthorizationsInfo.args = [{ name: 'id', required: true }];
