"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
const authorizations_1 = require("../../lib/authorizations");
class AuthorizationsRotate extends command_1.Command {
    async run() {
        const { args } = this.parse(AuthorizationsRotate);
        cli_ux_1.cli.action.start('Rotating OAuth Authorization');
        const { body: authorization } = await this.heroku.post(`/oauth/authorizations/${encodeURIComponent(args.id)}/actions/regenerate-tokens`);
        cli_ux_1.cli.action.stop();
        authorizations_1.display(authorization);
    }
}
exports.default = AuthorizationsRotate;
AuthorizationsRotate.description = 'updates an OAuth authorization token';
AuthorizationsRotate.args = [{ name: 'id', required: true }];
