"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
const sortBy = require('lodash.sortby');
class ClientsIndex extends command_1.Command {
    async run() {
        const { flags } = this.parse(ClientsIndex);
        let { body: clients } = await this.heroku.get('/oauth/clients');
        clients = sortBy(clients, 'name');
        if (flags.json) {
            cli_ux_1.cli.styledJSON(clients);
        }
        else if (clients.length === 0) {
            cli_ux_1.cli.log('No OAuth clients.');
        }
        else {
            cli_ux_1.cli.table(clients, {
                name: { get: (w) => color_1.default.green(w.name) },
                id: {},
                redirect_uri: {},
            }, { 'no-header': true, printLine: this.log });
        }
    }
}
exports.default = ClientsIndex;
ClientsIndex.description = 'list your OAuth clients';
ClientsIndex.flags = {
    json: command_1.flags.boolean({ char: 'j', name: 'json', description: 'output in json format' }),
};
