"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
class ClientsRotate extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(ClientsRotate);
        cli_ux_1.cli.action.start(`Updating ${color_1.default.cyan(args.id)}`);
        const { body: client } = await this.heroku.post(`/oauth/clients/${encodeURIComponent(args.id)}/actions/rotate-credentials`);
        cli_ux_1.cli.action.stop();
        if (flags.json) {
            cli_ux_1.cli.styledJSON(client);
        }
        else if (flags.shell) {
            cli_ux_1.cli.log(`HEROKU_OAUTH_ID=${client.id}`);
            cli_ux_1.cli.log(`HEROKU_OAUTH_SECRET=${client.secret}`);
        }
        else {
            cli_ux_1.cli.styledHeader(`${client.name}`);
            cli_ux_1.cli.styledObject(client);
        }
    }
}
exports.default = ClientsRotate;
ClientsRotate.description = 'rotate OAuth client secret';
ClientsRotate.flags = {
    json: command_1.flags.boolean({ char: 'j', description: 'output in json format' }),
    shell: command_1.flags.boolean({ char: 's', description: 'output in shell format' }),
};
ClientsRotate.args = [{ name: 'id', required: true }];
