"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
class SessionsDestroy extends command_1.Command {
    async run() {
        const { args: { id } } = this.parse(SessionsDestroy);
        cli_ux_1.cli.action.start(`Destroying ${color_1.default.cyan(id)}`);
        await this.heroku.delete(`/oauth/sessions/${encodeURIComponent(id)}`);
        cli_ux_1.cli.action.stop();
    }
}
exports.default = SessionsDestroy;
SessionsDestroy.description = 'delete (logout) OAuth session by ID';
SessionsDestroy.args = [{ name: 'id', required: true }];
